View Issue Details

IDProjectCategoryView StatusLast Update
0003899PluginsNetBoxpublic2021-10-12 17:12
Reportertm1 Assigned ToDrKnS  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindows 
Product Version3.0 
Fixed in Version3.0 
Summary0003899: NetBox crashes after F3 - F5 combination with SFTP connection
DescriptionCrashes with various messages
Steps To Reproduce
1. Connect to SFTP server

2. Select remote directory

3. Press F3

4. Press F5
TagsNo tags attached.

Activities

tm1

2021-10-06 02:01

reporter   bugnote:0017174

bug_report.txt (26,488 bytes)   
Exception: 0xC0000005 - EXCEPTION_ACCESS_VIOLATION

Details:   Memory at 000007D0 <unknown>! could not be read

errno:     0x00000000 - No error

LastError: 0x00000000 - ?5@0F8O CA?5H=> 7025@H5=0.

NTSTATUS:  0xC0000011 - >AB83=CB <0@:5@ :>=F0 D09;0. >A;5 MB>3> <0@:5@0 D09; =5 A>45@68B ?@028;L=KE 40==KE.

Address:   00005570 - NetBox.dll!000F+rtti::dyn_cast_or_null<class TRemoteFile,class TObject>(class TObject *)

Function:  GetFilesW

Source:    UnityBuildCore.cpp.obj

File:      C:\PROGRAMZ\Far3\Plugins\NetBox\NetBox.dll

Plugin:    NetBox 2.4.538.5 (SFTP/FTP(S)/SCP/WebDAV client for FAR 3.0 x86/x64, Michael Lukashov)

Far:       3.0.5888.0 x86 (ef7f464)

OS:        6.1.7601.2.1.0.274.3

Kernel:    6.1.7601.24511 (win7sp1_ldr_escrow.190729-1700)



EAX = 000007D0

EBX = 00000000

ECX = 034A67E8

EDX = 005F0065

ESI = 034A67E8

EDI = 0346F608

EIP = 65D35570

ESP = 002FEB44

EBP = 002FEB88

EFL = 00010206



00005570 NetBox.dll!000F+rtti::dyn_cast_or_null<class TRemoteFile,class TObject>(class TObject *) (UnityBuildCore.cpp.obj)

000C7DF6 NetBox.dll!003C+TWinSCPFileSystem::GetFilesEx(class TObjectList *,bool,class UnicodeString &,unsigned __int64) (UnityBuildMain.cpp.obj)

000C7CD9 NetBox.dll!0076+TCustomFarFileSystem::GetFiles(struct GetFilesInfo *) (UnityBuildMain.cpp.obj)

000C7D70 NetBox.dll!0069+TCustomFarPlugin::GetFiles(struct GetFilesInfo *) (UnityBuildMain.cpp.obj)

000DF5BC NetBox.dll!002F+_GetFilesW@4 (UnityBuildMain.cpp.obj)

002816E6 Far.exe!_Closure_wrapper_8ad60419_21::<lambda_invoker_cdecl> (C:\src\far\common\function_ref.hpp(49))

002810E7 Far.exe!_Closure_wrapper_8ad60419_2::<lambda_invoker_cdecl> (C:\src\far\common\function_ref.hpp(49))

001750C7 Far.exe!detail::cpp_try (C:\src\far\exception_handler.cpp(1191))

8B0C428D <unknown>!

CCCCCCCC <unknown>!

CCCCCCCC <unknown>!

E9E84D8D <unknown>!

FFF0CD78 <unknown>!

0824548B <unknown>!

8B0C428D <unknown>!

C833D04A <unknown>!

FAA7F5E8 <unknown>!

1100B8FF <unknown>!

45E900F7 <unknown>!

CCFFFAF1 <unknown>!

CCCCCCCC <unknown>!

CCCCCCCC <unknown>!

CCCCCCCC <unknown>!

E9B44D8B <unknown>!

FFD3B3C8 <unknown>!

E9D04D8D <unknown>!

FFD7E3E0 <unknown>!

E9D84D8D <unknown>!

FFD36298 <unknown>!

E9B84D8D <unknown>!

FFEE49F0 <unknown>!

E9B84D8D <unknown>!

FFEE4848 <unknown>!

0824548B <unknown>!

8B0C428D <unknown>!

C833B04A <unknown>!

FAA7A5E8 <unknown>!

FC4A8BFF <unknown>!

9BE8C833 <unknown>!

B8FFFAA7 <unknown>!

003F112C Far.exe!_tls_end

FAF0EBE9 <unknown>!

----------------------------------------

Current stack:

----------------------------------------

00170B94 Far.exe!get_backtrace (C:\src\far\exception_handler.cpp(164))

00171AE9 Far.exe!collect_information (C:\src\far\exception_handler.cpp(345))

001727C4 Far.exe!ShowExceptionUI (C:\src\far\exception_handler.cpp(500))

00173A8E Far.exe!handle_generic_exception (C:\src\far\exception_handler.cpp(774))

001748F4 Far.exe!handle_seh_exception (C:\src\far\exception_handler.cpp(997))

00175390 Far.exe!detail::seh_filter (C:\src\far\exception_handler.cpp(1257))

00247ACD Far.exe!_Closure_wrapper_7e43c91d_12::<lambda_invoker_cdecl> (C:\src\far\common\function_ref.hpp(49))

00175190 Far.exe!detail::seh_try (C:\src\far\exception_handler.cpp(1212))

0027F7C9 Far.exe!Plugin::ExecuteFunctionImpl (C:\src\far\plclass.cpp(1224))

0027EEE2 Far.exe!Plugin::GetFiles (C:\src\far\plclass.cpp(1015))

002AC756 Far.exe!PluginManager::GetFiles (C:\src\far\plugins.cpp(1114))

001ADF40 Far.exe!FileList::PluginGetFiles (C:\src\far\filelist.cpp(5972))

001AB4FD Far.exe!FileList::ProcessCopyKeys (C:\src\far\filelist.cpp(5329))

0019FBE8 Far.exe!FileList::ProcessKey (C:\src\far\filelist.cpp(2123))

001C5A62 Far.exe!FilePanels::ProcessKey (C:\src\far\filepanels.cpp(823))

0024B097 Far.exe!Manager::ProcessKey (C:\src\far\manager.cpp(797))

0024A829 Far.exe!Manager::ProcessMainLoop (C:\src\far\manager.cpp(635))

0024A639 Far.exe!Manager::EnterMainLoop (C:\src\far\manager.cpp(612))

00243FA3 Far.exe!MainProcess (C:\src\far\main.cpp(319))

00247836 Far.exe!_Closure_wrapper_7e43c91d_4::<lambda_invoker_cdecl> (C:\src\far\common\function_ref.hpp(49))

001750C7 Far.exe!detail::cpp_try (C:\src\far\exception_handler.cpp(1191))

00246D84 Far.exe!cpp_try<`mainImpl'::`2'::<lambda_4>,`mainImpl'::`2'::<lambda_5>,`mainImpl'::`2'::<lambda_6> > (C:\src\far\exception_handler.hpp(185))

002467FC Far.exe!mainImpl (C:\src\far\main.cpp(808))

00246F60 Far.exe!`wmain_seh'::`2'::<lambda_1>::operator() (C:\src\far\main.cpp(876))

002478AF Far.exe!_Closure_wrapper_7e43c91d_9::<lambda_invoker_cdecl> (C:\src\far\common\function_ref.hpp(49))

001750C7 Far.exe!detail::cpp_try (C:\src\far\exception_handler.cpp(1191))

002470A4 Far.exe!cpp_try<`wmain_seh'::`2'::<lambda_1>,`wmain_seh'::`2'::<lambda_2>,`wmain_seh'::`2'::<lambda_3> > (C:\src\far\exception_handler.hpp(185))

00247A1E Far.exe!_Closure_wrapper_7e43c91d_11::<lambda_invoker_cdecl> (C:\src\far\common\function_ref.hpp(49))

00175160 Far.exe!detail::seh_try (C:\src\far\exception_handler.cpp(1210))

0024715C Far.exe!main (C:\src\far\main.cpp(897))

0031ED07 Far.exe!__scrt_common_main_seh (d:\agent\_work\6\s\src\vctools\crt\vcstartup\src\startup\exe_common.inl(288))

0001343D kernel32.dll!<unknown> (get the pdb)

00039802 ntdll.dll!<unknown> (get the pdb)

000397D5 ntdll.dll!<unknown> (get the pdb)



C:\PROGRAMZ\Far3\Far.exe 3.0.5888.0 x86

C:\Windows\SysWOW64\ntdll.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\syswow64\kernel32.dll 6.1.7601.18015 (win7sp1_gdr.121129-1432)

C:\Windows\syswow64\KERNELBASE.dll 6.1.7601.18015 (win7sp1_gdr.121129-1432)

C:\Windows\syswow64\ADVAPI32.dll 6.1.7601.24511 (win7sp1_ldr_escrow.190729-1700)

C:\Windows\syswow64\msvcrt.dll 7.0.7601.17744 (win7sp1_gdr.111215-1535)

C:\Windows\SysWOW64\sechost.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\syswow64\RPCRT4.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\syswow64\SspiCli.dll 6.1.7601.24511 (win7sp1_ldr_escrow.190729-1700)

C:\Windows\syswow64\CRYPTBASE.dll 6.1.7601.24511 (win7sp1_ldr_escrow.190729-1700)

C:\Windows\syswow64\USER32.dll 6.1.7601.17514 (win7sp1_rtm.101119-1850)

C:\Windows\syswow64\GDI32.dll 6.1.7601.24498 (win7sp1_ldr_escrow.190712-1655)

C:\Windows\syswow64\LPK.dll 6.1.7601.24498 (win7sp1_ldr_escrow.190712-1655)

C:\Windows\syswow64\USP10.dll 1.0626.7601.24494 (win7sp1_ldr_escrow.190620-1811)

C:\Windows\syswow64\SHELL32.dll 6.1.7601.17514 (win7sp1_rtm.101119-1850)

C:\Windows\syswow64\SHLWAPI.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\NETAPI32.dll 6.1.7601.17887 (win7sp1_gdr.120704-0720)

C:\Windows\system32\netutils.dll 6.1.7601.17514 (win7sp1_rtm.101119-1850)

C:\Windows\system32\srvcli.dll 6.1.7601.17514 (win7sp1_rtm.101119-1850)

C:\Windows\system32\wkscli.dll 6.1.7601.17514 (win7sp1_rtm.101119-1850)

C:\Windows\system32\SAMCLI.DLL 6.1.7601.17514 (win7sp1_rtm.101119-1850)

C:\Windows\system32\WINSPOOL.DRV 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\MPR.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\syswow64\ole32.dll 6.1.7601.24511 (win7sp1_ldr_escrow.190729-1700)

C:\Windows\syswow64\PSAPI.DLL 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\Secur32.dll 6.1.7601.24511 (win7sp1_ldr_escrow.190729-1700)

C:\Windows\syswow64\SETUPAPI.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\syswow64\CFGMGR32.dll 6.1.7601.17621 (win7sp1_gdr.110523-2108)

C:\Windows\syswow64\OLEAUT32.dll 6.1.7601.24511

C:\Windows\syswow64\DEVOBJ.dll 6.1.7601.17621 (win7sp1_gdr.110523-2108)

C:\Windows\system32\VERSION.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\USERENV.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\profapi.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\syswow64\COMDLG32.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\WinSxS\x86_microsoft.windows.common-controls_6595b64144ccf1df_6.0.7601.24483_none_2b200f664577e14b\COMCTL32.dll 6.10 (win7_rtm.090713-1255)

C:\Windows\system32\IMM32.DLL 6.1.7601.17514 (win7sp1_rtm.101119-1850)

C:\Windows\syswow64\MSCTF.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\api-ms-win-core-synch-l1-2-0.DLL 10.0.14393.2990 (rs1_release_1.190410-1803)

C:\Windows\syswow64\CLBCatQ.DLL 2001.12.8530.16385 (win7_rtm.090713-1255)

C:\Windows\system32\CRYPTSP.dll 6.1.7601.24499 (win7sp1_ldr.190612-0600)

C:\Windows\system32\rsaenh.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\RpcRtRemote.dll 6.1.7601.17514 (win7sp1_rtm.101119-1850)

C:\Windows\system32\explorerframe.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\DUser.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\DUI70.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\SysWOW64\actxprxy.dll 6.1.7601.24000 (win7sp1_ldr.171231-1547)

C:\PROGRAMZ\Far3\Plugins\1\shell\NetWatch\NetWatch.dll Unknown

C:\PROGRAMZ\Far3\Plugins\1\shell\ShellFish\shellfsh.dll Unknown

C:\PROGRAMZ\Far3\Plugins\1\viewer\DBFView\DBFVIEW.DLL Unknown

C:\PROGRAMZ\Far3\Plugins\3\common\ConCtrl\ConCtrl.dll 1.4

C:\PROGRAMZ\Far3\Plugins\3\common\EnvMan\EnvMan.dll 1.7

C:\Windows\system32\WINSTA.dll 6.1.7601.18540 (win7sp1_gdr.140716-1508)

C:\PROGRAMZ\Far3\Plugins\3\common\FARasScheduledTask\FARasScheduledTask.dll 1.1.0.37

C:\PROGRAMZ\Far3\Plugins\3\common\Renewal\Renewal.dll 3.20.5.4040

C:\Windows\system32\WINHTTP.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\webio.dll 6.1.7601.17514 (win7sp1_rtm.101119-1850)

C:\PROGRAMZ\Far3\Plugins\3\editor\esc\esc.dll PLUGIN_MAJOR.PLUGIN_MINOR

C:\PROGRAMZ\Far3\Plugins\3\shell\BatchRen\BatchRen.dll 2.43.3.2922

C:\PROGRAMZ\Far3\Plugins\3\shell\DiskMenu\DiskMenu.dll 3.13.4.4040

C:\PROGRAMZ\Far3\Plugins\3\shell\FarHints\FarHints.dll 1.22

C:\Windows\system32\msimg32.dll 6.1.7601.24467 (win7sp1_ldr_escrow.190522-1700)

C:\PROGRAMZ\Far3\Plugins\3\shell\PanelTabs\PanelTabs.dll 1.15

C:\PROGRAMZ\Far3\Plugins\3\shell\PortaDev\PortaDev.dll 3.13.0.4040

C:\PROGRAMZ\Far3\Plugins\3\shell\ver_c0\ver_c0.dll 3.1

C:\PROGRAMZ\Far3\Plugins\LuaMacro\LuaMacro.dll 3.0.765.0

C:\PROGRAMZ\Far3\Plugins\LuaMacro\lua51.dll Unknown

C:\PROGRAMZ\Far3\Plugins\LuaMacro\luafar3.dll 3.0.765.0

C:\PROGRAMZ\Far3\Plugins\LuaMacro\lpeg.dll Unknown

C:\PROGRAMZ\Far3\Plugins\TmpPanel\TmpPanel.dll 3.0.110.0

C:\PROGRAMZ\Far3\Plugins\3\editor\EdtFind\EdtFind.dll 1.14

C:\PROGRAMZ\Far3\Plugins\3\shell\FarHints\Plugins\Cursors\FarHintsCursors.hll 1.0.22

C:\PROGRAMZ\Far3\Plugins\3\shell\FarHints\Plugins\Folders\FarHintsFolders.hll 1.0.22

C:\PROGRAMZ\Far3\Plugins\3\shell\FarHints\Plugins\Image\FarHintsImage.hll 1.0.22

C:\Windows\WinSxS\x86_microsoft.windows.gdiplus_6595b64144ccf1df_1.1.7601.24498_none_5c0b90ada009f495\gdiplus.dll 6.1.7601.24498 (win7sp1_ldr_escrow.190712-1655)

C:\PROGRAMZ\Far3\Plugins\3\shell\FarHints\Plugins\MP3\FarHintsMP3.hll 1.0.22

C:\PROGRAMZ\Far3\Plugins\3\shell\FarHints\Plugins\Process\FarHintsProcess.hll 1.0.22

C:\PROGRAMZ\Far3\Plugins\3\shell\FarHints\Plugins\VerInfo\FarHintsVerInfo.hll 1.0.22

C:\Windows\system32\apphelp.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\syswow64\WS2_32.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\syswow64\NSI.dll 6.1.7601.23889 (win7sp1_ldr.170810-1615)

C:\Windows\system32\credssp.dll 6.1.7601.24511 (win7sp1_ldr_escrow.190729-1700)

C:\Windows\system32\mswsock.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\DNSAPI.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\IPHLPAPI.DLL 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\WINNSI.DLL 6.1.7601.23889 (win7sp1_ldr.170810-1615)

C:\Windows\system32\rasadhlp.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\SysWOW64\schannel.dll 6.1.7601.24511 (win7sp1_ldr_escrow.190729-1700)

C:\Windows\syswow64\CRYPT32.dll 6.1.7601.24499 (win7sp1_ldr.190612-0600)

C:\Windows\syswow64\MSASN1.dll 6.1.7601.17514 (win7sp1_rtm.101119-1850)

C:\Windows\system32\ncrypt.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\bcrypt.dll 6.1.7601.24511 (win7sp1_ldr_escrow.190729-1700)

C:\Windows\SysWOW64\bcryptprimitives.dll 6.1.7601.23451 (win7sp1_ldr.160511-0600)

C:\Windows\system32\GPAPI.dll 6.1.7601.23452 (win7sp1_ldr.160512-0600)

C:\PROGRAMZ\Far3\Plugins\3\dialog\DlgSelect\DlgSelect.dll 1.4

C:\PROGRAMZ\Far3\Plugins\3\dialog\DialogTools\dt.dll Unknown

C:\Windows\System32\drprov.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\System32\ntlanman.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\cscapi.dll 6.1.7601.24197 (win7sp1_ldr.180629-0600)

C:\PROGRAMZ\Far3\Plugins\Compare\Compare.dll 3.0.55.0

C:\PROGRAMZ\Far3\Plugins\ArcLite\arclite.dll 3.0.320.0

C:\PROGRAMZ\Far3\Plugins\ArcLite\7z.dll 21.03 beta

C:\PROGRAMZ\Far3\Plugins\NetBox\NetBox.dll 2.4.5.538

C:\Windows\system32\propsys.dll 7.00.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\ntmarta.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\syswow64\WLDAP32.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\security.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\System32\wshtcpip.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\SysWOW64\thumbcache.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\dbghelp.DLL 6.1.7601.17514 (win7sp1_rtm.101119-1850)

bug_report.txt (26,488 bytes)   
far.mdmp (74,051 bytes)

tm1

2021-10-06 02:02

reporter   bugnote:0017175

bug_report-2.txt (25,994 bytes)   
Exception: 0xC0000005 - EXCEPTION_ACCESS_VIOLATION

Details:   Memory at 00006D08 <unknown>! could not be executed

errno:     0x00000000 - No error

LastError: 0x00000000 - ?5@0F8O CA?5H=> 7025@H5=0.

NTSTATUS:  0x80000006 - {>;LH5 =5B D09;>2} 5 =0945=K 4@C385 D09;K, A>>B25BAB2CNI85 7040==><C H01;>=C.

Address:   00006D08 - <unknown>!

Function:  GetFilesW

Source:    

File:      C:\PROGRAMZ\Far3\Plugins\NetBox\NetBox.dll

Plugin:    NetBox 2.4.538.5 (SFTP/FTP(S)/SCP/WebDAV client for FAR 3.0 x86/x64, Michael Lukashov)

Far:       3.0.5888.0 x86 (ef7f464)

OS:        6.1.7601.2.1.0.274.3

Kernel:    6.1.7601.24511 (win7sp1_ldr_escrow.190729-1700)



EAX = 006D0069

EBX = 00000000

ECX = 039EAEB8

EDX = 005F0065

ESI = 039EAEB8

EDI = 039E21B0

EIP = 00006D08

ESP = 0016E718

EBP = 0016E760

EFL = 00010206



00006D08 <unknown>!

00005572 NetBox.dll!0011+rtti::dyn_cast_or_null<class TRemoteFile,class TObject>(class TObject *) (UnityBuildCore.cpp.obj)

000C7DF6 NetBox.dll!003C+TWinSCPFileSystem::GetFilesEx(class TObjectList *,bool,class UnicodeString &,unsigned __int64) (UnityBuildMain.cpp.obj)

000C7CD9 NetBox.dll!0076+TCustomFarFileSystem::GetFiles(struct GetFilesInfo *) (UnityBuildMain.cpp.obj)

000C7D70 NetBox.dll!0069+TCustomFarPlugin::GetFiles(struct GetFilesInfo *) (UnityBuildMain.cpp.obj)

000DF5BC NetBox.dll!002F+_GetFilesW@4 (UnityBuildMain.cpp.obj)

002816E6 Far.exe!_Closure_wrapper_8ad60419_21::<lambda_invoker_cdecl> (C:\src\far\common\function_ref.hpp(49))

002810E7 Far.exe!_Closure_wrapper_8ad60419_2::<lambda_invoker_cdecl> (C:\src\far\common\function_ref.hpp(49))

001750C7 Far.exe!detail::cpp_try (C:\src\far\exception_handler.cpp(1191))

8B0C428D <unknown>!

CCCCCCCC <unknown>!

CCCCCCCC <unknown>!

E9E84D8D <unknown>!

FFF0CD78 <unknown>!

0824548B <unknown>!

8B0C428D <unknown>!

C833D04A <unknown>!

FAA7F5E8 <unknown>!

1100B8FF <unknown>!

45E9006F <unknown>!

CCFFFAF1 <unknown>!

CCCCCCCC <unknown>!

CCCCCCCC <unknown>!

CCCCCCCC <unknown>!

E9B44D8B <unknown>!

FFD3B3C8 <unknown>!

E9D04D8D <unknown>!

FFD7E3E0 <unknown>!

E9D84D8D <unknown>!

FFD36298 <unknown>!

E9B84D8D <unknown>!

FFEE49F0 <unknown>!

E9B84D8D <unknown>!

FFEE4848 <unknown>!

0824548B <unknown>!

8B0C428D <unknown>!

C833B04A <unknown>!

FAA7A5E8 <unknown>!

FC4A8BFF <unknown>!

9BE8C833 <unknown>!

B8FFFAA7 <unknown>!

003F112C Far.exe!_tls_end

FAF0EBE9 <unknown>!

----------------------------------------

Current stack:

----------------------------------------

00170B94 Far.exe!get_backtrace (C:\src\far\exception_handler.cpp(164))

00171AE9 Far.exe!collect_information (C:\src\far\exception_handler.cpp(345))

001727C4 Far.exe!ShowExceptionUI (C:\src\far\exception_handler.cpp(500))

00173A8E Far.exe!handle_generic_exception (C:\src\far\exception_handler.cpp(774))

001748F4 Far.exe!handle_seh_exception (C:\src\far\exception_handler.cpp(997))

00175390 Far.exe!detail::seh_filter (C:\src\far\exception_handler.cpp(1257))

00247ACD Far.exe!_Closure_wrapper_7e43c91d_12::<lambda_invoker_cdecl> (C:\src\far\common\function_ref.hpp(49))

00175190 Far.exe!detail::seh_try (C:\src\far\exception_handler.cpp(1212))

0027F7C9 Far.exe!Plugin::ExecuteFunctionImpl (C:\src\far\plclass.cpp(1224))

0027EEE2 Far.exe!Plugin::GetFiles (C:\src\far\plclass.cpp(1015))

002AC756 Far.exe!PluginManager::GetFiles (C:\src\far\plugins.cpp(1114))

001ADF40 Far.exe!FileList::PluginGetFiles (C:\src\far\filelist.cpp(5972))

001AB4FD Far.exe!FileList::ProcessCopyKeys (C:\src\far\filelist.cpp(5329))

0019FBE8 Far.exe!FileList::ProcessKey (C:\src\far\filelist.cpp(2123))

001C5A62 Far.exe!FilePanels::ProcessKey (C:\src\far\filepanels.cpp(823))

0024B097 Far.exe!Manager::ProcessKey (C:\src\far\manager.cpp(797))

0024A829 Far.exe!Manager::ProcessMainLoop (C:\src\far\manager.cpp(635))

0024A639 Far.exe!Manager::EnterMainLoop (C:\src\far\manager.cpp(612))

00243FA3 Far.exe!MainProcess (C:\src\far\main.cpp(319))

00247836 Far.exe!_Closure_wrapper_7e43c91d_4::<lambda_invoker_cdecl> (C:\src\far\common\function_ref.hpp(49))

001750C7 Far.exe!detail::cpp_try (C:\src\far\exception_handler.cpp(1191))

00246D84 Far.exe!cpp_try<`mainImpl'::`2'::<lambda_4>,`mainImpl'::`2'::<lambda_5>,`mainImpl'::`2'::<lambda_6> > (C:\src\far\exception_handler.hpp(185))

002467FC Far.exe!mainImpl (C:\src\far\main.cpp(808))

00246F60 Far.exe!`wmain_seh'::`2'::<lambda_1>::operator() (C:\src\far\main.cpp(876))

002478AF Far.exe!_Closure_wrapper_7e43c91d_9::<lambda_invoker_cdecl> (C:\src\far\common\function_ref.hpp(49))

001750C7 Far.exe!detail::cpp_try (C:\src\far\exception_handler.cpp(1191))

002470A4 Far.exe!cpp_try<`wmain_seh'::`2'::<lambda_1>,`wmain_seh'::`2'::<lambda_2>,`wmain_seh'::`2'::<lambda_3> > (C:\src\far\exception_handler.hpp(185))

00247A1E Far.exe!_Closure_wrapper_7e43c91d_11::<lambda_invoker_cdecl> (C:\src\far\common\function_ref.hpp(49))

00175160 Far.exe!detail::seh_try (C:\src\far\exception_handler.cpp(1210))

0024715C Far.exe!main (C:\src\far\main.cpp(897))

0031ED07 Far.exe!__scrt_common_main_seh (d:\agent\_work\6\s\src\vctools\crt\vcstartup\src\startup\exe_common.inl(288))

0001343D kernel32.dll!<unknown> (get the pdb)

00039802 ntdll.dll!<unknown> (get the pdb)

000397D5 ntdll.dll!<unknown> (get the pdb)



C:\ProgramZ\Far3\Far.exe 3.0.5888.0 x86

C:\Windows\SysWOW64\ntdll.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\syswow64\kernel32.dll 6.1.7601.18015 (win7sp1_gdr.121129-1432)

C:\Windows\syswow64\KERNELBASE.dll 6.1.7601.18015 (win7sp1_gdr.121129-1432)

C:\Windows\syswow64\ADVAPI32.dll 6.1.7601.24511 (win7sp1_ldr_escrow.190729-1700)

C:\Windows\syswow64\msvcrt.dll 7.0.7601.17744 (win7sp1_gdr.111215-1535)

C:\Windows\SysWOW64\sechost.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\syswow64\RPCRT4.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\syswow64\SspiCli.dll 6.1.7601.24511 (win7sp1_ldr_escrow.190729-1700)

C:\Windows\syswow64\CRYPTBASE.dll 6.1.7601.24511 (win7sp1_ldr_escrow.190729-1700)

C:\Windows\syswow64\USER32.dll 6.1.7601.17514 (win7sp1_rtm.101119-1850)

C:\Windows\syswow64\GDI32.dll 6.1.7601.24498 (win7sp1_ldr_escrow.190712-1655)

C:\Windows\syswow64\LPK.dll 6.1.7601.24498 (win7sp1_ldr_escrow.190712-1655)

C:\Windows\syswow64\USP10.dll 1.0626.7601.24494 (win7sp1_ldr_escrow.190620-1811)

C:\Windows\syswow64\SHELL32.dll 6.1.7601.17514 (win7sp1_rtm.101119-1850)

C:\Windows\syswow64\SHLWAPI.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\NETAPI32.dll 6.1.7601.17887 (win7sp1_gdr.120704-0720)

C:\Windows\system32\netutils.dll 6.1.7601.17514 (win7sp1_rtm.101119-1850)

C:\Windows\system32\srvcli.dll 6.1.7601.17514 (win7sp1_rtm.101119-1850)

C:\Windows\system32\wkscli.dll 6.1.7601.17514 (win7sp1_rtm.101119-1850)

C:\Windows\system32\SAMCLI.DLL 6.1.7601.17514 (win7sp1_rtm.101119-1850)

C:\Windows\system32\WINSPOOL.DRV 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\MPR.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\syswow64\ole32.dll 6.1.7601.24511 (win7sp1_ldr_escrow.190729-1700)

C:\Windows\syswow64\PSAPI.DLL 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\Secur32.dll 6.1.7601.24511 (win7sp1_ldr_escrow.190729-1700)

C:\Windows\syswow64\SETUPAPI.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\syswow64\CFGMGR32.dll 6.1.7601.17621 (win7sp1_gdr.110523-2108)

C:\Windows\syswow64\OLEAUT32.dll 6.1.7601.24511

C:\Windows\syswow64\DEVOBJ.dll 6.1.7601.17621 (win7sp1_gdr.110523-2108)

C:\Windows\system32\VERSION.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\USERENV.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\profapi.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\syswow64\COMDLG32.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\WinSxS\x86_microsoft.windows.common-controls_6595b64144ccf1df_6.0.7601.24483_none_2b200f664577e14b\COMCTL32.dll 6.10 (win7_rtm.090713-1255)

C:\Windows\system32\IMM32.DLL 6.1.7601.17514 (win7sp1_rtm.101119-1850)

C:\Windows\syswow64\MSCTF.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\api-ms-win-core-synch-l1-2-0.DLL 10.0.14393.2990 (rs1_release_1.190410-1803)

C:\Windows\syswow64\CLBCatQ.DLL 2001.12.8530.16385 (win7_rtm.090713-1255)

C:\Windows\system32\CRYPTSP.dll 6.1.7601.24499 (win7sp1_ldr.190612-0600)

C:\Windows\system32\rsaenh.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\RpcRtRemote.dll 6.1.7601.17514 (win7sp1_rtm.101119-1850)

C:\Windows\system32\explorerframe.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\DUser.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\DUI70.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\PROGRAMZ\Far3\Plugins\1\shell\NetWatch\NetWatch.dll Unknown

C:\Windows\SysWOW64\actxprxy.dll 6.1.7601.24000 (win7sp1_ldr.171231-1547)

C:\PROGRAMZ\Far3\Plugins\1\shell\ShellFish\shellfsh.dll Unknown

C:\PROGRAMZ\Far3\Plugins\1\viewer\DBFView\DBFVIEW.DLL Unknown

C:\PROGRAMZ\Far3\Plugins\3\common\ConCtrl\ConCtrl.dll 1.4

C:\PROGRAMZ\Far3\Plugins\3\common\EnvMan\EnvMan.dll 1.7

C:\Windows\system32\WINSTA.dll 6.1.7601.18540 (win7sp1_gdr.140716-1508)

C:\PROGRAMZ\Far3\Plugins\3\common\FARasScheduledTask\FARasScheduledTask.dll 1.1.0.37

C:\PROGRAMZ\Far3\Plugins\3\common\Renewal\Renewal.dll 3.20.5.4040

C:\Windows\system32\WINHTTP.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\webio.dll 6.1.7601.17514 (win7sp1_rtm.101119-1850)

C:\PROGRAMZ\Far3\Plugins\3\editor\esc\esc.dll PLUGIN_MAJOR.PLUGIN_MINOR

C:\PROGRAMZ\Far3\Plugins\3\shell\BatchRen\BatchRen.dll 2.43.3.2922

C:\PROGRAMZ\Far3\Plugins\3\shell\DiskMenu\DiskMenu.dll 3.13.4.4040

C:\PROGRAMZ\Far3\Plugins\3\shell\FarHints\FarHints.dll 1.22

C:\Windows\system32\msimg32.dll 6.1.7601.24467 (win7sp1_ldr_escrow.190522-1700)

C:\PROGRAMZ\Far3\Plugins\3\shell\PanelTabs\PanelTabs.dll 1.15

C:\PROGRAMZ\Far3\Plugins\3\shell\PortaDev\PortaDev.dll 3.13.0.4040

C:\PROGRAMZ\Far3\Plugins\3\shell\ver_c0\ver_c0.dll 3.1

C:\PROGRAMZ\Far3\Plugins\LuaMacro\LuaMacro.dll 3.0.765.0

C:\PROGRAMZ\Far3\Plugins\LuaMacro\lua51.dll Unknown

C:\PROGRAMZ\Far3\Plugins\LuaMacro\luafar3.dll 3.0.765.0

C:\PROGRAMZ\Far3\Plugins\LuaMacro\lpeg.dll Unknown

C:\PROGRAMZ\Far3\Plugins\TmpPanel\TmpPanel.dll 3.0.110.0

C:\PROGRAMZ\Far3\Plugins\3\editor\EdtFind\EdtFind.dll 1.14

C:\PROGRAMZ\Far3\Plugins\3\shell\FarHints\Plugins\Cursors\FarHintsCursors.hll 1.0.22

C:\PROGRAMZ\Far3\Plugins\3\shell\FarHints\Plugins\Folders\FarHintsFolders.hll 1.0.22

C:\PROGRAMZ\Far3\Plugins\3\shell\FarHints\Plugins\Image\FarHintsImage.hll 1.0.22

C:\Windows\WinSxS\x86_microsoft.windows.gdiplus_6595b64144ccf1df_1.1.7601.24498_none_5c0b90ada009f495\gdiplus.dll 6.1.7601.24498 (win7sp1_ldr_escrow.190712-1655)

C:\PROGRAMZ\Far3\Plugins\3\shell\FarHints\Plugins\MP3\FarHintsMP3.hll 1.0.22

C:\PROGRAMZ\Far3\Plugins\3\shell\FarHints\Plugins\Process\FarHintsProcess.hll 1.0.22

C:\PROGRAMZ\Far3\Plugins\3\shell\FarHints\Plugins\VerInfo\FarHintsVerInfo.hll 1.0.22

C:\Windows\System32\drprov.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\System32\ntlanman.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\cscapi.dll 6.1.7601.24197 (win7sp1_ldr.180629-0600)

C:\PROGRAMZ\Far3\Plugins\3\dialog\DlgSelect\DlgSelect.dll 1.4

C:\PROGRAMZ\Far3\Plugins\3\dialog\DialogTools\dt.dll Unknown

C:\PROGRAMZ\Far3\Plugins\NetBox\NetBox.dll 2.4.5.538

C:\Windows\system32\propsys.dll 7.00.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\ntmarta.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\syswow64\WLDAP32.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\ws2_32.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\syswow64\NSI.dll 6.1.7601.23889 (win7sp1_ldr.170810-1615)

C:\Windows\system32\security.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\mswsock.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\System32\wshtcpip.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\credssp.dll 6.1.7601.24511 (win7sp1_ldr_escrow.190729-1700)

C:\Windows\System32\wship6.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\DNSAPI.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\IPHLPAPI.DLL 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\WINNSI.DLL 6.1.7601.23889 (win7sp1_ldr.170810-1615)

C:\Windows\system32\rasadhlp.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\System32\fwpuclnt.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\SysWOW64\schannel.dll 6.1.7601.24511 (win7sp1_ldr_escrow.190729-1700)

C:\Windows\syswow64\CRYPT32.dll 6.1.7601.24499 (win7sp1_ldr.190612-0600)

C:\Windows\syswow64\MSASN1.dll 6.1.7601.17514 (win7sp1_rtm.101119-1850)

C:\Windows\system32\ncrypt.dll 6.1.7600.16385 (win7_rtm.090713-1255)

C:\Windows\system32\bcrypt.dll 6.1.7601.24511 (win7sp1_ldr_escrow.190729-1700)

C:\Windows\SysWOW64\bcryptprimitives.dll 6.1.7601.23451 (win7sp1_ldr.160511-0600)

C:\Windows\system32\GPAPI.dll 6.1.7601.23452 (win7sp1_ldr.160512-0600)

C:\Windows\system32\dbghelp.DLL 6.1.7601.17514 (win7sp1_rtm.101119-1850)

bug_report-2.txt (25,994 bytes)   
far-2.mdmp (83,568 bytes)

DrKnS

2021-10-07 00:47

administrator   bugnote:0017179

Far 5900 & NetBox 539.

tm1

2021-10-12 14:24

reporter   bugnote:0017182

Crashes are gone.

tm1

2021-10-12 14:26

reporter   bugnote:0017183

Last edited: 2021-10-12 14:26

View 2 revisions

Thank you, Far Manager Team !

Issue History

Date Modified Username Field Change
2021-10-06 01:59 tm1 New Issue
2021-10-06 02:01 tm1 Note Added: 0017174
2021-10-06 02:01 tm1 File Added: bug_report.txt
2021-10-06 02:01 tm1 File Added: far.mdmp
2021-10-06 02:02 tm1 Note Added: 0017175
2021-10-06 02:02 tm1 File Added: bug_report-2.txt
2021-10-06 02:02 tm1 File Added: far-2.mdmp
2021-10-07 00:47 DrKnS Assigned To => DrKnS
2021-10-07 00:47 DrKnS Status new => feedback
2021-10-07 00:47 DrKnS Note Added: 0017179
2021-10-12 14:24 tm1 Note Added: 0017182
2021-10-12 14:24 tm1 Status feedback => assigned
2021-10-12 14:26 tm1 Note Added: 0017183
2021-10-12 14:26 tm1 Note Edited: 0017183 View Revisions
2021-10-12 17:12 DrKnS Status assigned => closed
2021-10-12 17:12 DrKnS Resolution open => fixed
2021-10-12 17:12 DrKnS Fixed in Version => 3.0